---
search:
  tags:
    - V1
    - POST
seo:
  description: >-
    Upload a custom scorer as a multipart bundle (tar.gz). Reference for the
    POST /v1/projects/{projectId}/scorers/custom/bundle endpoint in the Judgeval
    API.
sidebar:
  label: Upload custom scorer bundle
  badge: POST
title: Upload custom scorer bundle
type: openapi-operation
---
Upload a custom scorer as a multipart bundle (tar.gz)

`POST /v1/projects/{projectId}/scorers/custom/bundle`

**Request body** (`multipart/form-data`, required)

- `metadata` (UploadCustomScorerBundleMetadata, required)
- `bundle` (string<binary>, required)

Request body example:

```json
{
  "metadata": {
    "scorer_name": "string",
    "entrypoint_path": "string",
    "requirements_path": "string",
    "class_name": "string",
    "scorer_type": "example",
    "response_type": "binary",
    "version": 0,
    "bump_major": true,
    "categories": [
      {
        "value": "string",
        "description": "string"
      }
    ]
  },
  "bundle": "File"
}
```

**Responses**

- `200` — Response for status 200
- `404` — Response for status 404
- `409` — Response for status 409
- `422` — Response for status 422

Response example, 200:

```json
{
  "scorer_name": "string",
  "status": "string",
  "message": "string"
}
```
